import React from 'react';
import {Svg, Path} from 'react-native-svg';

const Google = ({size, color}) => (
  <Svg
    width="24"
    height="25"
    viewBox="0 0 24 25"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <Path
      d="M21.8055 10.7524H21V10.7109H12V14.7109H17.6515C16.827 17.0394 14.6115 18.7109 12 18.7109C8.6865 18.7109 6 16.0244 6 12.7109C6 9.39744 8.6865 6.71094 12 6.71094C13.5295 6.71094 14.921 7.28794 15.9805 8.23044L18.809 5.40194C17.023 3.73744 14.634 2.71094 12 2.71094C6.4775 2.71094 2 7.18844 2 12.7109C2 18.2334 6.4775 22.7109 12 22.7109C17.5225 22.7109 22 18.2334 22 12.7109C22 12.0404 21.931 11.3859 21.8055 10.7524Z"
      fill="#FFC107"
    />
    <Path
      d="M3.153 8.05644L6.4385 10.4659C7.3275 8.26494 9.4805 6.71094 12 6.71094C13.5295 6.71094 14.921 7.28794 15.9805 8.23044L18.809 5.40194C17.023 3.73744 14.634 2.71094 12 2.71094C8.159 2.71094 4.828 4.87944 3.153 8.05644Z"
      fill="#FF3D00"
    />
    <Path
      d="M12 22.7109C14.583 22.7109 16.93 21.7224 18.7045 20.1149L15.6095 17.4959C14.5718 18.2851 13.3037 18.7119 12 18.7109C9.399 18.7109 7.1905 17.0524 6.3585 14.7379L3.0975 17.2504C4.7525 20.4889 8.1135 22.7109 12 22.7109Z"
      fill="#4CAF50"
    />
    <Path
      d="M21.8055 10.7524H21V10.7109H12V14.7109H17.6515C17.2571 15.8191 16.5467 16.7875 15.608 17.4964L15.6095 17.4954L18.7045 20.1144C18.4855 20.3134 22 17.7109 22 12.7109C22 12.0404 21.931 11.3859 21.8055 10.7524Z"
      fill="#1976D2"
    />
  </Svg>
);

export default Google;
